Next.jsのバージョンを10にアップグレードしました

技術系の記事書くのが4ヶ月ぶりってどうなんでしょうね……。

Next.js 10 にしました

10月に新しいバージョンになってたので、バージョンあげようとは思っていたのですが、ずるずるのばしてたのです。
何はともあれ嵌ったところがあまりなかったのは良かったです。

ポートフォリオの方はなぜか嵌りまくったんですがね……。

おこなったこと

  • TailWindCSSを2にアップグレード
  • Next.js 10 にアップグレード
1
2
$ npm install tailwindcss@latest postcss@latest autoprefixer@latest
$ npm install next@latest

公式と全く同じコマンドを実行しました。

嵌ったところ

2点ほど。

シンタックスハイライトが効かない

なぜかCSSをひとつにまとめたら解決。
_app.jsではCSSをひとつしか読めないんでしょうか。

@latestはだめらしい

package.jsonでnextのバージョンを@latestに指定してたので、アップグレードは必要ないかな? と思ったら開発環境で500吐かれたので、さきほどのnextのコマンドをたたいた次第。
それだけで解決しました……。

参考文献

Upgrade Guide | Next.js
Upgrade Guide - TailWind CSS